aboutsummaryrefslogtreecommitdiffstats
path: root/main/netcf/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-20 09:21:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-20 09:21:33 +0000
commit32c457223d5540f24e45ced817d029ff4f95068c (patch)
tree123b74c0162d0e8e9ee0e270ae14745d01587dab /main/netcf/APKBUILD
parent72b07ca6784c1350911b29ee6c3011564ff19164 (diff)
downloadaports-32c457223d5540f24e45ced817d029ff4f95068c.tar.gz
aports-32c457223d5540f24e45ced817d029ff4f95068c.tar.bz2
aports-32c457223d5540f24e45ced817d029ff4f95068c.tar.xz
main/netcf: renamed from libnetcf and upgrade to 0.2.3
Diffstat (limited to 'main/netcf/APKBUILD')
-rw-r--r--main/netcf/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/main/netcf/APKBUILD b/main/netcf/APKBUILD
new file mode 100644
index 0000000000..746b16ee5d
--- /dev/null
+++ b/main/netcf/APKBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=netcf
+pkgver=0.2.3
+pkgrel=0
+pkgdesc="Cross-platform network configuration library"
+arch="all"
+url="https://fedorahosted.org/released/netcf"
+license="LGPLv2"
+depends=
+makedepends="augeas-dev libgcrypt-dev libnl-dev libxml2-dev libxslt-dev
+ pkgconfig readline-dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
+source="https://fedorahosted.org/released/netcf/netcf-$pkgver.tar.gz"
+replaces="libnetcf"
+
+_builddir="$srcdir/netcf-$pkgver"
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-driver=debian \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+}
+
+libs() {
+ pkgdesc="Libraries for $pkgname"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/lib "$pkgdir"/usr/share "$subpkgdir"/usr/
+}
+
+md5sums="bee292470b06201b59af0fad473a1b65 netcf-0.2.3.tar.gz"
+sha256sums="732c9e366e9a6528f0a8e683b8330ac159cc108180dbfe6981341c5e1b07ebb5 netcf-0.2.3.tar.gz"
+sha512sums="a51ab4639546d1606d6777d537f83b8d30c2537eafdc0ed699ff8cfbde79b36a68f25b87dacd61074e9fdac9ef80db09dde624d8f6a64ac4213d14f8339bb31d netcf-0.2.3.tar.gz"